# vim:ft=yaml:et:sw=4

# helper variables
mirror: http://repository.mageia.org/distrib/cauldron
mirror_aarch64: ${mirror}/aarch64/media
mirror_armv7hl: ${mirror}/armv7hl/media
mirror_i586: ${mirror}/i586/media
mirror_x86_64: ${mirror}/x86_64/media

# resultset definition
resultset:
    class: Youri::Check::Resultset::DBI
    options:
        driver: Pg
        host: <%= pgsql_server %>;sslmode=require
        base: <%= pgsql_db %>
        user: <%= pgsql_user %>
        pass: <%= pgsql_password %>

resolver:
    class: Youri::Check::Maintainer::Resolver::CGI
    options:
        url: http://pkgsubmit.<%= domain %>/data/maintdb.txt
        exceptions:
            - nobody


# checks definitions
tests:
    dependencies:
        class: Youri::Check::Test::Dependencies

    missing:
        class: Youri::Check::Test::Missing

    updates:
        class: Youri::Check::Test::Updates
        options:
            aliases:
                basesystem: ~
                drakxtools: ~
                drakx-installer-advertising: ~
                drakx-installer-binaries: ~
                drakx-installer-images: ~
                drakx-installer-rescue: ~
                drakx-installer-stage2: ~
                horde-accounts: accounts
                horde-chora: chora
                horde-forwards: forwards
                horde-imp: imp
                horde-ingo: ingo
                horde-kronolith: kronolith
                horde-mnemo: mnemo
                horde-nag: nag
                horde-passwd: passwd
                horde-turba: turba
                horde-vacation: vacation
                freetype: freetype2
                gstreamer: ~
                gstreamer0.10: gstreamer
                gnupg2: gnupg
                gnupg: ~
                gnome-vfs2: gnome-vfs
                gnome-vfs: ~
                ldetect: ~
                ldetect-lst: ~
                libutempter: utempter
                perl-URPM: ~
                rpm: ~
                rpmdrake: ~
                rpmstats: ~
                rpmtools: ~
                urpmi: ~
                vte: ~
                vte3: vte
                xine-lib: xine-lib1.2
                xine-lib-1.2: xine-lib1.2
            sources:
                cpan:
                    order: 0
                    class: Youri::Check::Test::Updates::Source::CPAN
                    options:
                        aliases:
                            libnet: ~
                            perl-Catalyst-P-S-State-Cookie: Catalyst::Plugin::State::State::Cookie
                            perl-Catalyst-P-S-Store-FastMmap: Catalyst::Plugin::State::Store::FastMmap
                            perl-Catalyst-P-S-Store-File: Catalyst::Plugin::State::Store::File
                            gettext: ~
                pear:
                    order: 0
                    class: Youri::Check::Test::Updates::Source::PEAR
#                pypi:
#                    order: 0
#                    class: Youri::Check::Test::Updates::Source::PyPI
#                apache:
#                    order: 0
#                    class: Youri::Check::Test::Updates::Source::Apache
                debian:
                    order: 1
                    class: Youri::Check::Test::Updates::Source::Debian
                    options:
                        aliases:
                            anjuta2: anjuta
                            anjuta: ~
                            perl-Jcode: libjcode-pm-perl
                            makepasswd: ~
                            sipp: ~
                            zsnes: ~
                            unclutter: ~
                            python-id3: ~
                            freetype: ~
                            openldap2.3: ~
                            git: git-core
                            nilfs-utils: nilfs-tools
                            mobile-broadband-provider-info: ~
                            cpulimit: ~
                            icecream: ~
                            colorize: ~
                fedora:
                    order: 1
                    class: Youri::Check::Test::Updates::Source::Fedora
                    options:
                        aliases:
                            authd: ~
                            gle: ~
                            gtksourceview-sharp: ~
                            sqlite: sqlite2
                            OpenIPMI: OpenIPMI2
                            ocaml-lablgtk: ~
                            ocaml-lablgtk2: ocaml-lablgtk
                            netcat-openbsd: netcat
                            freetype: ~
                            freetype2: freetype
                            bash: ~
                            basesystem: ~
                gentoo:
                    order: 1
                    class: Youri::Check::Test::Updates::Source::Gentoo
                    options:
                        aliases:
                            beagle: ~
                            makepasswd: ~
                            hibernate: hibernate-script
                            leif: ~
                            sqlite3: sqlite
                            sqlite: ~
                            cfengine3: cfengine
                            cfengine: ~
                            kamikaze: ~
                            knob: ~
                            vertex: ~
                            unclutter: ~
                            pam-krb5: pam_krb5
                            pam_krb5: ~
                            akonadi: akonadi-server
                            attica: libattica
                            raptor2: raptor
                            raptor: ~
                            libevent: ~
                            wifi-radar: ~
                            tuxmathscrabble: ~
                            chromium: ~
                            cpulimit: ~
                            icecream: ~
                            nodejs: ~
                gnome:
                    order: 1
                    class: Youri::Check::Test::Updates::Source::GNOME
                    url: https://download.gnome.org/sources/
                    options:
                        aliases:
                            GConf: ~
                            GConf2: GConf
                            glib: ~
                            glib2.0: glib
                            glibmm: ~
                            glibmm2.4: glibmm
                            gnome-desktop: ~
                            gnome-desktop3: gnome-desktop
                            goocanvas: ~
                            goocanvas2: goocanvas
                            gtkhtml: ~
                            gtkhtml4: gtkhtml
                            gtk: ~
                            gtk+2.0: ~
                            gtk+3.0: gtk
                            libgda: ~
                            libgda4.0: ~
                            libgda5.0: libgda
                            libunique: ~
                            libunique3: libunique
                            libwnck: ~
                            libwnck3: libwnck
                netbsd:
                    order: 1
                    class: Youri::Check::Test::Updates::Source::NetBSD
#                sourceforge:
#                    class: Youri::Check::Test::Updates::Source::Sourceforge
#                    options:
#                        aliases:
#                            bigforth: ~
#                            gtkmm: ~
#                            hydrogen: ~
#                            ltp: ~
#                            pblogan: ~
#                            console-tools: ~
#                            maxima: ~
#                            clisp: ~

    updates_fedora: 
        class: Youri::Check::Test::Updates
        options:
            sources:
                fedora:
                    order: 1
                    class: Youri::Check::Test::Updates::Source::Fedora
                    options:
                        aliases:
                            authd: ~
                            gle: ~
                            gtksourceview-sharp: ~
                            sqlite: sqlite2
                            OpenIPMI: OpenIPMI2
                            ocaml-lablgtk: ~
                            ocaml-lablgtk2: ocaml-lablgtk
                            netcat-openbsd: netcat
                            freetype: ~
                            freetype2: freetype
                            bash: ~
                            basesystem: ~

    updates_gnome: 
        class: Youri::Check::Test::Updates
        options:
            sources:
                gnome:
                    order: 1
                    class: Youri::Check::Test::Updates::Source::GNOME
                    url: https://download.gnome.org/sources/
                    options:
                        aliases:
                            GConf: ~
                            GConf2: GConf
                            glib: ~
                            glib2.0: glib
                            glibmm: ~
                            glibmm2.4: glibmm
                            gnome-desktop: ~
                            gnome-desktop3: gnome-desktop
                            goocanvas: ~
                            goocanvas2: goocanvas
                            gtkhtml: ~
                            gtkhtml4: gtkhtml
                            gtk: ~
                            gtk+2.0: ~
                            gtk+3.0: gtk
                            libgda: ~
                            libgda4.0: ~
                            libgda5.0: libgda
                            libunique: ~
                            libunique3: libunique
                            libwnck: ~
                            libwnck3: libwnck
                            vte: ~
                            vte3: vte
    build:
        class: Youri::Check::Test::Build
        options:
            sources:
                iurt:
                    class: Youri::Check::Test::Build::Source::Iurt
                    options:
                        url: http://pkgsubmit.mageia.org/autobuild/cauldron
                        arches:
                            - x86_64
                        medias:
                            - core
    age:
        class: Youri::Check::Test::Age
        options:
            max: <%= max_days %> days
            pattern: %m days

# reports definitions
reports:
    file:
        class: Youri::Check::Report::File
        options:
            to: <%= outdir %>
            global: 1
            individual: 1
            formats:
                html:
                    class: Youri::Check::Report::Format::HTML
                text:
                    class: Youri::Check::Report::Format::Text
                rss:
                    class: Youri::Check::Report::Format::RSS

# media definitions
medias:
    core.aarch64:
        class: Youri::Media::URPM
        options:
            name: core
            type: binary
            hdlist: ${mirror_aarch64}/core/release/media_info/hdlist.cz
            options:
                dependencies:
                    allowed:
                        - core.aarch64
                missing:
                    allowed:
                        - core.sources

    core.armv7hl:
        class: Youri::Media::URPM
        options:
            name: core
            type: binary
            hdlist: ${mirror_armv7hl}/core/release/media_info/hdlist.cz
            options:
                dependencies:
                    allowed:
                        - core.armv7hl
                missing:
                    allowed:
                        - core.sources

    core.i586:
        class: Youri::Media::URPM
        options:
            name: core
            type: binary
            hdlist: ${mirror_i586}/media_info/hdlist_core.cz
            options:
                dependencies:
                    allowed:
                        - core.i586
                missing:
                    allowed:
                        - core.sources

    core.x86_64:
        class: Youri::Media::URPM
        options:
            name: core
            type: binary
            hdlist: ${mirror_x86_64}/media_info/hdlist_core.cz
            options:
                dependencies:
                    allowed:
                        - core.x86_64
                        - core.i586
                missing:
                    allowed:
                        - core.sources


    core.sources:
        class: Youri::Media::URPM
        options:
            name: core
            type: source
            hdlist: ${mirror_i586}/media_info/hdlist_core.src.cz
            options:
                dependencies:
                    allowed:
                        - core.x86_64
                        - core.i586

    nonfree.i586:
        class: Youri::Media::URPM
        options:
            name: nonfree
            type: binary
            hdlist: ${mirror_i586}/media_info/hdlist_nonfree_release.cz
            options:
                dependencies:
                    allowed:
                        - core.i586
                        - nonfree.i586
                missing:
                    allowed:
                        - nonfree.sources

    nonfree.x86_64:
        class: Youri::Media::URPM
        options:
            name: nonfree
            type: binary
            hdlist: ${mirror_x86_64}/media_info/hdlist_nonfree_release.cz
            options:
                dependencies:
                    allowed:
                        - core.x86_64
                        - core.i586
                        - nonfree.x86_64
                        - nonfree.i586
                missing:
                    allowed:
                        - nonfree.sources


    nonfree.sources:
        class: Youri::Media::URPM
        options:
            name: nonfree
            type: source
            hdlist: ${mirror_i586}/media_info/hdlist_nonfree_release.src.cz
            options:
                dependencies:
                    allowed:
                        - core.x86_64
                        - nonfree.x86_64
                        - core.i586
                        - nonfree.i586

    tainted.i586:
        class: Youri::Media::URPM
        options:
            name: nonfree
            type: binary
            hdlist: ${mirror_i586}/media_info/hdlist_tainted_release.cz
            options:
                dependencies:
                    allowed:
                        - core.i586
                        - tainted.i586
                missing:
                    allowed:
                        - tainted.sources

    tainted.x86_64:
        class: Youri::Media::URPM
        options:
            name: tainted
            type: binary
            hdlist: ${mirror_x86_64}/media_info/hdlist_tainted_release.cz
            options:
                dependencies:
                    allowed:
                        - core.x86_64
                        - core.i586
                        - tainted.x86_64
                        - tainted.i586
                missing:
                    allowed:
                        - tainted.sources

    tainted.sources:
        class: Youri::Media::URPM
        options:
            name: tainted
            type: source
            hdlist: ${mirror_i586}/media_info/hdlist_tainted_release.src.cz
            options:
                dependencies:
                    allowed:
                        - core.x86_64
                        - tainted.x86_64
                        - core.i586
                        - tainted.i586
